package com.psg.dlsysinfo.dl_sysinfo_server.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "app")
public class Config {
    private MySQLConfig mysql;
    private LoggerConfig logger = new LoggerConfig();
    private CaptchaConfig hcaptcha = new CaptchaConfig(); // Default values

    public MySQLConfig getMysql() {
        return mysql;
    }

    public void setMysql(MySQLConfig mysql) {
        this.mysql = mysql;
    }

    public LoggerConfig getLogger() {
        return logger;
    }

    public void setLogger(LoggerConfig logger) {
        this.logger = logger;
    }

    public CaptchaConfig getHcaptcha() {
        return hcaptcha;
    }

    public void setHcaptcha(CaptchaConfig hcaptcha) {
        this.hcaptcha = hcaptcha;
    }
}
